
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef NDD_PRINTXML_H
#define NDD_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/aspectPrintXML.h"

#include "server/sickPrintXML.h"

#include "server/seglocPrintXML.h"

#include "server/piloPrintXML.h"

#include "server/pomPrintXML.h"

#include "server/genPosPrintXML.h"


#include "nddPosterLib.h"

/* Prototypes */
extern void printXML_struct_NDD_MAXSPEED_POSTER_STR ( FILE *out, char *name,
     struct NDD_MAXSPEED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_PARAMS_POSTER_STR ( FILE *out, char *name,
     struct NDD_PARAMS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_DIAGRAM_POSTER_STR ( FILE *out, char *name,
     struct NDD_DIAGRAM_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_GOAL_POSTER_STR ( FILE *out, char *name,
     struct NDD_GOAL_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_REF_POSTER_STR ( FILE *out, char *name,
     struct NDD_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_STR ( FILE *out, char *name,
     struct NDD_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_CHOICE ( FILE *out, char *name,
     struct NDD_CHOICE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_DIAGRAM ( FILE *out, char *name,
     struct NDD_DIAGRAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_VALLEY ( FILE *out, char *name,
     struct NDD_VALLEY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_PARAMS ( FILE *out, char *name,
     struct NDD_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_STRING ( FILE *out, char *name,
     struct NDD_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_INPUT_POSTERS ( FILE *out, char *name,
     struct NDD_INPUT_POSTERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_NDD_USING_THETA ( FILE *out, char *name,
     enum NDD_USING_THETA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_NDD_OBST_TYPE ( FILE *out, char *name,
     enum NDD_OBST_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_NDD_SPEED ( FILE *out, char *name,
     struct NDD_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_NDD_SPEED ( FILE *out, char *name,
     NDD_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_OBST_TYPE ( FILE *out, char *name,
     NDD_OBST_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_USING_THETA ( FILE *out, char *name,
     NDD_USING_THETA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_INPUT_POSTERS ( FILE *out, char *name,
     NDD_INPUT_POSTERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_STRING ( FILE *out, char *name,
     NDD_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_PARAMS ( FILE *out, char *name,
     NDD_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_VALLEY ( FILE *out, char *name,
     NDD_VALLEY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_DIAGRAM ( FILE *out, char *name,
     NDD_DIAGRAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_CHOICE ( FILE *out, char *name,
     NDD_CHOICE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_STR ( FILE *out, char *name,
     NDD_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_REF_POSTER_STR ( FILE *out, char *name,
     NDD_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_GOAL_POSTER_STR ( FILE *out, char *name,
     NDD_GOAL_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_DIAGRAM_POSTER_STR ( FILE *out, char *name,
     NDD_DIAGRAM_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_PARAMS_POSTER_STR ( FILE *out, char *name,
     NDD_PARAMS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_NDD_MAXSPEED_POSTER_STR ( FILE *out, char *name,
     NDD_MAXSPEED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* NDD_PRINT_XML_H */

