
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * nddType.h:     La SDI_F de ndd
 *
 * Utilise par le module et par les clients
 * (inclut dans nddMsgLib.h et nddPosterLib.h)
 * 
 */

#ifndef ndd_TYPE_H
#define ndd_TYPE_H

#include "genom/modules.h"
#include "nddError.h"

/* Nombre de tache d'execution de ce module */
#define NDD_NB_EXEC_TASK                   (1)


#endif
#ifndef ndd_TYPE1_H
#define ndd_TYPE1_H

#include "nddStruct.h"
#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/pilo/piloStruct.h"
#include "/opt/openrobots/include/segloc/seglocStruct.h"
#include "/opt/openrobots/include/sick/sickStruct.h"
#include "/opt/openrobots/include/sick/server/sickPosterLibStruct.h"
#include "/opt/openrobots/include/aspect/aspectStruct.h"
#include "/opt/openrobots/include/aspect/server/aspectPosterLibStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct NDD_STR {
	NDD_PARAMS params;
	GENPOS_CART_CONFIG global_goal;
	GENPOS_CART_CONFIG local_goal;
	POM_POS current_position;
	NDD_SPEED maxSpeed;
	NDD_INPUT_POSTERS inputPosters;
	NDD_STRING trajPosterName;
	GENPOS_CART_SPEED speedRef;
	NDD_CHOICE motionChoice;
	NDD_CHOICE subGoal;
	int nextToVisit;
	int unused;
} NDD_STR;


#endif

